LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora
User Name
Password
Fedora This forum is for the discussion of the Fedora Project.

Notices


Reply
  Search this Thread
Old 02-02-2004, 04:28 AM   #1
urkhaa1975
LQ Newbie
 
Registered: Jan 2004
Distribution: Fedora Core 1
Posts: 11

Rep: Reputation: 0
Problem in glibc updating


Hi to everyone
I m using apt-get to keep updating my fedora box (Notebook Compaq Presario 2701 EA), but I m getting some problems in upgrading glibc (glibc, glibc-common,glibc-devel glibc-headers). Indedd as root launching
apt-get upgrade glibc, glibc-common,glibc-devel glibc-headers, i obtain a lot of problems of conflicts with old version of glibc, such as
file /usr/lib/Mcrt1.o from install of glibc-devel-2.3.2-101.4 conflicts with file from package glibc-devel-2.3.2
-101.1


and similar. Indeed I ve tried also to install them directly as
rpm -Uvh --nodeps glibc ...
but it fails

and also yum-update fails to install them

any suggestion of what is going on?
thanks a lot
that s all folks
 
Old 02-03-2004, 04:56 AM   #2
ianv
Member
 
Registered: Dec 2002
Location: North West England
Distribution: fedora
Posts: 52

Rep: Reputation: 15
Howdy,
I had pretty much the same thing with the glibc packages but I did manage to get them to install eventually....

Firstly (as root) check that you don't have either any apt / yum or rpm (whatever) processes kicking around in the background
# ps -ef | grep -e apt -e yum -e rpm

If the coast is clear cd to /var/lib/rpm and rm any __db.* files - these are apparently lock/dump files created if you crash an rpm session

Check which versions of which glibc packages you have
# rpm --query glibc
repeat for glibc-headers, glibc-devel, glibc-common. You may find that you have duplicates for some of the packages.
For the ones where you have both the .1 version and the .4 installed remove the .4 with the
# rpm -e glibc-blah-blah-101.4

cd to /var/cache/apt/archives (this is where mine were cached) - ls -l for a file called "lock" or ".lock" (can't remember) and remove it.
and do a
# rpm -Uvh glibc*101.4*.rpm

This should upgrade all the lot from 101.1 to 101.4 in one go without all of the dependencies failing - It worked for me anyway. I also did an # rpm --initdb and a # rpm --rebuilddb to delete & rebuild the rpm database - but I had spent a day breaking the rpm db so you proabably don't need to.

Best of luck!
 
Old 02-03-2004, 07:16 AM   #3
urkhaa1975
LQ Newbie
 
Registered: Jan 2004
Distribution: Fedora Core 1
Posts: 11

Original Poster
Rep: Reputation: 0
glibc problem

Hi

>cd to /var/cache/apt/archives (this is where mine were cached) - ls -l for a file called >"lock" or ".lock" (can't remember) and remove it.
>and do a
># rpm -Uvh glibc*101.4*.rpm

I ve tried what you suggested (by the way, only version 101.1 was installed for all the packages) but unfortunately it does not work. I obtain the following message

basesystem is needed by glibc-2.3.2-101.4
libgcc is needed by glibc-2.3.2-101.4
tzdata >= 2003a is needed by glibc-common-2.3.2-101.4
kernel-headers is needed by glibc-headers-2.3.2-101.4
kernel-headers >= 2.2.1 is needed by glibc-headers-2.3.2-101.4


but in reality I ve check that all the packages (actually except kernel-headers) are installed and in the last version....

other suggestion?!
thank a lot
 
Old 02-03-2004, 07:37 AM   #4
urkhaa1975
LQ Newbie
 
Registered: Jan 2004
Distribution: Fedora Core 1
Posts: 11

Original Poster
Rep: Reputation: 0
problem resolved

I ve resolved the problem by rebuilding the rpm db
thank you very much
that s all folks
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Updating glibc - from source sundialsvcs Linux - Software 3 08-29-2005 11:41 PM
updating glibc-2.3.2-11.9 to glibc-2.3.4 under rh9 bloodiestmarry Linux - Software 5 02-27-2005 05:43 AM
updating glibc problem overlord73 Linux - Software 3 02-11-2005 05:51 AM
Problem Updating glibc 2.2.5-34 to 2.3.2 FinalSolution Linux - Software 2 10-17-2003 05:22 AM
Updating glibc KennyG944 Linux - General 3 03-25-2001 10:19 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora

All times are GMT -5. The time now is 06:44 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration